Bug 176021 - Review Request: bwidget - extended widget set for Tcl/Tk
Summary: Review Request: bwidget - extended widget set for Tcl/Tk
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John Mahowald
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2005-12-17 18:14 UTC by Wart
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-22 18:28:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Wart 2005-12-17 18:14:08 UTC
Spec Name or Url: http://www.kobold.org/~wart/fedora/bwidget.spec
SRPM Name or Url: http://www.kobold.org/~wart/fedora/bwidget-1.7.0-2.src.rpm
Description: 
A popular extended widget set for Tcl/Tk

This is a pretty simple noarch package.

Comment 1 John Mahowald 2006-02-22 15:23:16 UTC
Good:

- rpmlint checks clean
- package meets naming guidelines
- package meets packaging guidelines
- license (Distributable, but seems BSDish) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on FC4 i386
- no missing BR
- no unnecessary BR
- no locales (none that use %find_lang)
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

APPROVED

Comment 2 Wart 2006-02-22 18:28:58 UTC
Imported and built on devel.

Thanks!

Comment 3 Wart 2007-06-02 20:53:15 UTC
Package Change Request
======================
Package Name: bwidget
New Branches: EL-4 EL-5

Comment 4 Jason Tibbitts 2007-06-02 21:18:55 UTC
CVS done.


Note You need to log in before you can comment on or make changes to this bug.